apiVersion: v1
kind: Service
metadata:
  name: emrv2-prod-fe-service
spec:
  type: NodePort
  selector:
    app: emrv2-prod-frontend
    tier: frontend
  ports:
  - name: prod-fe-port
    protocol: TCP
    port: 80
    targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: emrv2-prod-frontend
spec:
  selector:
    matchLabels:
      app: emrv2-prod-frontend
      tier: frontend
      track: stable
  replicas: 1
  template:
    metadata:
      labels:
        app: emrv2-prod-frontend
        tier: frontend
        track: stable
    spec:
      containers:
        - name: emrv2-prod-frontend
          image: "gcr.io/emr-v2/emrv2-frontend-stag:eaab491f3cb0b546765f90d77f074cd6cf5adc95"
          ports:
            - name: http
              containerPort: 80
          env:
            - name: PROJECT_ID
              value: emr-v2